Bug 648247 - Review Request: ghc-tagged - Newtype wrappers for phantom types
Review Request: ghc-tagged - Newtype wrappers for phantom types
Status: CLOSED DUPLICATE of bug 746557
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
notready
:
Depends On: 648246 ghc-data-default ghc-semigroups
Blocks: 648248 713359
  Show dependency treegraph
 
Reported: 2010-10-31 12:53 EDT by Ben Boeckel
Modified: 2011-10-17 01:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-17 00:51:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-10-31 12:53:41 EDT
Spec URL: http://benboeckel.net/packaging/ghc-tagged/ghc-tagged.spec
SRPM URL: http://benboeckel.net/packaging/ghc-tagged/ghc-tagged-0.1.1-1.fc14.src.rpm
Description:
Provides newtype wrappers for phantom types to avoid unsafely
passing dummy arguments.

% lintmock fedora-14-x86_64-bb
ghc-tagged.src: W: spelling-error Summary(en_US) Newtype -> New type, New-type, Neotype
ghc-tagged.src: W: spelling-error %description -l en_US newtype -> neotype, new type, new-type
ghc-tagged.src: W: strange-permission tagged-0.1.1.tar.gz 0640L
ghc-tagged.src: W: strange-permission ghc-tagged.spec 0640L
ghc-tagged.x86_64: W: spelling-error Summary(en_US) Newtype -> New type, New-type, Neotype
ghc-tagged.x86_64: W: spelling-error %description -l en_US newtype -> neotype, new type, new-type
ghc-tagged-devel.x86_64: W: spelling-error Summary(en_US) Newtype -> New type, New-type, Neotype
ghc-tagged-devel.x86_64: W: spelling-error %description -l en_US newtype -> neotype, new type, new-type
ghc-tagged-prof.x86_64: E: devel-dependency ghc-tagged-devel
ghc-tagged-prof.x86_64: W: spelling-error %description -l en_US newtype -> neotype, new type, new-type
ghc-tagged-prof.x86_64: W: no-documentation
ghc-tagged-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/tagged-0.1.1/libHStagged-0.1.1_p.a
4 packages and 0 specfiles checked; 1 errors, 11 warnings.
Comment 1 Jens Petersen 2011-05-06 02:16:04 EDT
This is needed by feldspar-language-0.4.
Comment 2 Shakthi Kannan 2011-05-06 02:23:51 EDT
Can you please update this to 0.2 version?

  http://hackage.haskell.org/package/tagged-0.2
Comment 3 Narasimhan 2011-07-12 06:20:06 EDT
This is indirectly needed for yi.
Comment 4 Jens Petersen 2011-08-01 22:25:45 EDT
Latest upstream version is 0.2.2.1.

Anyway guess first the ghc-data-default review needs to be completed.
Comment 5 Narasimhan 2011-10-17 00:51:41 EDT

*** This bug has been marked as a duplicate of bug 746557 ***

Note You need to log in before you can comment on or make changes to this bug.